> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update resident

PUT https://api.propexo.com/v1/residents/{id}
Content-Type: application/json

Update a resident for an integration.

Reference: https://docs.propexo.com/api-reference/pms-generic-ap-is/residents/update-resident

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `id` (string, required) — The ID of the resource.

### Body (application/json)

This endpoint expects a _v1_residents_{id}_put_input.

- `resident_id` (string, optional) — The Propexo unique identifier for the resident
- `last_name` (string, optional) — The last name of the resident.
- `first_name` (string, optional) — The first name of the resident.
- `email_1` (string, optional) — The primary email address for the resident.
- `email_2` (string, optional) — The secondary email address associated with the resident
- `date_of_birth` (V1ResidentsIdPutInputDateOfBirth, optional) — The date of birth associated with the resident
- `address_1` (string, optional) — The first address line associated with the resident
- `address_2` (string, optional) — The second address line associated with the resident
- `city` (string, optional) — The city associated with the resident
- `state` (enum, optional) — The state associated with the resident
  - Allowed values: `AB`, `BC`, `MB`, `NB`, `NL`, `NT`, `NS`, `NU`, `ON`, `PE`, `QC`, `SK`, `YT`, `AL`, `AK`, `AS`, `AZ`, `AR`, `AA`, `AE`, `AP`, `CA`, `CO`, `CT`, `DE`, `DC`, `FL`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MI`, `MN`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `MP`, `OH`, `OK`, `OR`, `PA`, `PR`, `RI`, `SC`, `SD`, `TN`, `TX`, `UM`, `UT`, `VT`, `VI`, `VA`, `WA`, `WV`, `WI`, `WY`
- `zip` (string, optional) — The zip code associated with the resident
- `country` (enum, optional) — The country associated with the resident
  - Allowed values: `US`, `CA`
- `address_1_alternate` (string, optional) — Secondary/alternate street address for the resident. This maps to the Street property of the second address of the Tenant object
- `address_2_alternate` (string, optional) — Second line of the secondary/alternate street address for the resident. This maps to the AlternateAddress.AddressLine2 property of the Tenant object
- `city_alternate` (string, optional) — City of the resident's secondary/alternate address
- `state_alternate` (string, optional) — State of the resident's secondary/alternate address
- `zip_alternate` (string, optional) — Zip/Postal Code of the resident's secondary/alternate address
- `country_alternate` (enum, optional) — Country of the resident's secondary/alternate address.
  - Allowed values: `US`
- `notes` (string, optional) — Notes associated with the resident
- `phone_1` (string, optional) — The primary phone number for the resident.
- `phone_1_type` (enum, optional) — The primary phone type for the resident. Required when updating phone number.
  - Allowed values: `HOME`, `WORK`, `MOBILE`, `FAX`
- `phone_2` (string, optional) — Secondary phone number associated with the resident
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `middle_name` (string, optional) — The middle name associated with the resident
- `lead_source_id` (string, optional) — The Propexo unique identifier for the lead source
- `middle_initial` (string, optional) — The middle initial of the resident
- `qualified` (boolean, optional) — Whether the resident is qualified
- `gender` (enum, optional) — The gender of the resident
  - Allowed values: `MALE`, `FEMALE`
- `guarantor` (boolean, optional) — Indicates if the resident is a guarantor for the primary resident.
- `monthly_income_in_cents` (integer, optional) — The monthly income of the resident, in cents
- `no_checks_in_cash_receipts` (boolean, optional) — To restrict the resident from making payments by check, set this to true. Defaults to false.
- `rent_period` (enum, optional) — How often the resident is expected to pay rent. Allowed values are "monthly", "weekly", and "daily". Maps to the RentPeriod property of the Tenant object.
  - Allowed values: `MONTHLY`, `WEEKLY`, `DAILY`
- `rent_due_day` (integer, optional) — Day of the month on which the tenant's rent is due. Maps to the RentDueDay property of the Tenant object
- `is_primary` (boolean, optional) — Whether the resident is the primary record
- `custom_data` (V1ResidentsIdPutInputCustomData, optional, deprecated) — Deprecated: Field is no longer applicable
- `events` (list of V1ResidentsIdPutInputEventsItems, optional, deprecated) — DEPRECATED: Please use /events endpoints to write events. Array of events associated with this resident

## Response

### 200

Successful response

- `job_id` (string, required) — The ID of the job created to handle this operation
- `data` (V1ResidentsIdPutOutputData, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ResidentsIdPutInputDateOfBirth

The date of birth associated with the resident

### V1ResidentsIdPutInputCustomData

Deprecated: Field is no longer applicable

### V1ResidentsIdPutInputEventsItems

- `x_type_id` (string, required) — The PMS id for the event type.
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `x_leasing_agent_id` (string, optional) — The PMS id for the leasing agent.
- `x_sub_type_id` (string, optional) — The PMS id for the event sub type.
- `x_result_id` (string, optional) — The PMS id for the event result.
- `event_datetime` (string, optional) — The date and time that the event occured.
- `appointment_datetime` (string, optional) — The date and time that the appointment will occur. Required if using appointment type.
- `time_from` (string, optional)
- `time_to` (string, optional)
- `notes` (string, optional) — General notes about the event.
- `title` (string, optional) — Title for the event.
- `reasons_for_event` (string, optional) — The reason the event occurred.
- `id` (string, optional) — The Propexo unique identifier for the event. Only required if attempting to update an existing event.

### V1ResidentsIdPutOutputData

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "job_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
  "data": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/residents/id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/residents/id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/residents/id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/residents/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/residents/id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/residents/id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/residents/id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/residents/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```